#
# spec file for package wv (Version 0.7.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake freetype2 freetype2-devel gettext libjpeg libpng-devel-packages libtiff libwmf libwmf-devel libxml2 libxml2-devel w3m x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils bzip2 cracklib freetype2 freetype2-devel gcc gdbm gettext libjpeg libpng libpng-devel libtiff libtool libwmf libwmf-devel libxml2 libxml2-devel perl rpm w3m

Name:         wv
Obsoletes:    mswordvw
Provides:     mswordvw
License:      GPL, LGPL
Group:        Productivity/Publishing/Word
Autoreqprov:  on
Version:      0.7.2
Release:      310
Summary:      A Word 8 converter for Unix
URL:          http://www.wvWare.com
Source:       http://www.csn.ul.ie/~caolan/publink/mswordview/wv-%{version}.tar.bz2
Patch:        wv-%{version}.dif
Patch2:       wv-%{version}-s390.patch
Patch3:       wv-%{version}-ia64.patch
Patch4:       wv-%{version}-autoconf.patch
Patch5:       wv-%{version}-wvText.patch
Patch6:       wv-%{version}-wvText-tmpfile.patch
Patch7:       wv-%{version}-consumed.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
WV is a program that can understand the microsofts word 8 binary file
format (office97), it currently converts word into html, which can then
be read with a browser.



Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

%package devel
Requires:     %{name} = %{version} w3m
Requires:     libwmf-devel
Obsoletes:    mswordvd
Provides:     mswordvd
Summary:      Static Libraries and Header Files for wv
Group:        Development/Libraries/C and C++
Autoreqprov:  on

%description devel
Static Libraries and Header Files for wv



Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

%prep
%setup
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
rm -f missing
rm -f configure.in
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force --copy
aclocal
automake --add-missing --force --force-missing
autoheader
autoconf

%build
%define warn_flags -Wall -Wstrict-prototypes -Wpointer-arith -Wformat -Wformat-security
CFLAGS="$RPM_OPT_FLAGS %{warn_flags}" \
  ./configure \
     --prefix=/usr --mandir=%{_mandir} --with-libwmf \
     --libdir=%{_libdir} \
     --disable-dependency-tracking $RPM_ARCH-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
install -m 755 make_epses.sh $RPM_BUILD_ROOT/usr/bin
#
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -Rf examples feature-examples notes \
   $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
chmod 644 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*/*
rm $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/examples/*.sh
install -m 644 CHANGELOG COPYING CREDITS D_CREDITS D_README README TESTING  \
           TODO.TXT KNOWN-BUGS $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
find $RPM_BUILD_ROOT%{_defaultdocdir}/%{name} -type d -exec chmod 755 {} \;  
rm -rf `find $RPM_BUILD_ROOT%{_defaultdocdir}/%{name} -type d -name CVS -print`  

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/make_epses.sh
/usr/bin/wvAbw
/usr/bin/wvCleanLatex
/usr/bin/wvConvert
/usr/bin/wvDVI
/usr/bin/wvHtml
/usr/bin/wvLatex
/usr/bin/wvMime
/usr/bin/wvPDF
/usr/bin/wvPS
/usr/bin/wvRTF
#/usr/bin/wvSimpleCLX
/usr/bin/wvSummary
/usr/bin/wvText
/usr/bin/wvVersion
/usr/bin/wvWare
/usr/bin/wvWml
/usr/share/wv
%{_libdir}/*.so.*
%doc %{_mandir}/*/*
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/CHANGELOG
%doc %{_defaultdocdir}/%{name}/COPYING
%doc %{_defaultdocdir}/%{name}/D_CREDITS
%doc %{_defaultdocdir}/%{name}/D_README
%doc %{_defaultdocdir}/%{name}/KNOWN-BUGS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/TESTING
%doc %{_defaultdocdir}/%{name}/TODO.TXT

%files devel
/usr/bin/libwv-config
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/examples
%doc %{_defaultdocdir}/%{name}/feature-examples
%doc %{_defaultdocdir}/%{name}/notes

%changelog -n wv
* Tue Sep 14 2004 - nadvornik@suse.cz
- fixed possible buffer overflow CAN-2004-0645 [#45094]
* Fri Jul 16 2004 - nadvornik@suse.cz
- fixed temp file handling in wvText [#38386]
* Wed Sep 11 2002 - ro@suse.de
- fixed patch (my fault)
* Wed Sep 11 2002 - pthomas@suse.de
- Make wvText output to stdout on request.
- Add missing itmes to my last entry.
* Wed Sep 11 2002 - ro@suse.de
- fixed requires of devel-package
* Tue Sep 10 2002 - pthomas@suse.de
- Change wvText to use either w3m or lynx.
- wv-devel requires wv of same version.
- Require w3m
- Filter out /usr/include from CPPFLAGS.
- Don't patch config.h.in but instead call autoheader to
  regenerate it.
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Thu Jun 20 2002 - nadvornik@suse.cz
- update to 0.7.2
* Fri Apr 05 2002 - nadvornik@suse.cz
- fixed instalation of manpages
* Thu Apr 04 2002 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Fri Mar 08 2002 - nadvornik@suse.cz
- fixed permissions and removed CVS dirs in doc directory
* Thu Feb 07 2002 - nadvornik@suse.cz
- update to 0.7.1:
- built with shared library
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Nov 28 2001 - nadvornik@suse.cz
- update to 0.7.0:
- compiles with libwmf 0.2.2
* Thu Jun 28 2001 - nadvornik@suse.cz
- update to 0.6.5
- libwmf is now a separate package
* Wed Jun 13 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Fri May 18 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon Apr 23 2001 - nadvornik@suse.cz
- fixed to compile on s390
* Mon Mar 12 2001 - nadvornik@suse.cz
- libwmf compiled with -fPIC, now it can be linked to
  ImageMagick module
* Thu Feb 08 2001 - nadvornik@suse.cz
- update wv to 0.6.4, libwmf to 0.1.21
- fixed bug #6165
* Wed Nov 22 2000 - nadvornik@suse.cz
- fixed docdir name
* Tue Nov 21 2000 - schwab@suse.de
- Fix permissions.
- Remove all CVS directories.
- Avoid double slashes.
* Fri Nov 10 2000 - nadvornik@suse.cz
- rename mswordvw -> wv
-        mswordvd -> wv-devel
- update wv to 0.6.2, libwmf to 0.1.20
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild for ImageMagick
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep 18 2000 - nadvornik@suse.cz
- added magickd to neededforbuild
- fixed to compile
* Mon Jun 19 2000 - nadvornik@suse.cz
- update to 0.5.44
* Mon Jun 05 2000 - nadvornik@suse.cz
- fixed to compile with ImageMagick-5.2.0
* Fri May 26 2000 - schwab@suse.de
- Update config files.
* Thu May 18 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
* Tue May 02 2000 - nadvornik@suse.cz
- fixed to compile
* Thu Apr 20 2000 - nadvornik@suse.cz
- fixed filelist
- created development subpackage mswordvd
* Tue Apr 18 2000 - nadvornik@suse.cz
- update to 0.5.43, libwmf 0.1.17
- added Buildroot
* Mon Jan 31 2000 - kukuk@suse.de
- Update to 0.5.14-bw6
- Fix spec file
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - uli@suse.de
- added some missing files
* Fri May 21 1999 - kukuk@suse.de
- Update mswordview to 0.5.14
* Thu Apr 29 1999 - kukuk@suse.de
- first initial version of mswordview 0.5.10 with libwmf 0.1.9
